Skip to main content
GET
/
api
/
stock-ledger
List stock ledger entries
curl --request GET \
  --url https://app.solya.app/api/stock-ledger \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "brandId": "brand-uuid-nike",
      "brandName": "Nike",
      "movementCategory": "INBOUND",
      "movementCode": "MVT-2026-0042",
      "movementId": "mvt-uuid-1",
      "movementTime": "2026-05-12T08:30:00.000Z",
      "movementType": "DELIVERY",
      "organizationId": "org-uuid-1",
      "productId": "product-uuid-1",
      "productName": "Air Max 90",
      "quantityChange": 12,
      "saleCode": null,
      "saleDate": null,
      "saleId": null,
      "shopCode": "PAR-OP",
      "shopId": "shop-uuid-1",
      "shopName": "Paris Opéra",
      "sizeTaxonomyId": "size-uuid-42",
      "stockAfter": 24,
      "variantCode": "NK-AM90-WHT",
      "variantId": "variant-uuid-a",
      "variantName": "White"
    },
    {
      "brandId": "brand-uuid-nike",
      "brandName": "Nike",
      "movementCategory": "OUTBOUND",
      "movementCode": "T-2026-0521",
      "movementId": "sale-uuid-1",
      "movementTime": "2026-05-15T14:32:00.000Z",
      "movementType": "SALE",
      "organizationId": "org-uuid-1",
      "productId": "product-uuid-1",
      "productName": "Air Max 90",
      "quantityChange": -1,
      "saleCode": "T-2026-0521",
      "saleDate": "2026-05-15T14:32:00.000Z",
      "saleId": "sale-uuid-1",
      "shopCode": "PAR-OP",
      "shopId": "shop-uuid-1",
      "shopName": "Paris Opéra",
      "sizeTaxonomyId": "size-uuid-42",
      "stockAfter": 23,
      "variantCode": "NK-AM90-WHT",
      "variantId": "variant-uuid-a",
      "variantName": "White"
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 9453
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
shopId
string
variantId
string
movementCategory
string
movementType
string
dateFrom
string
dateTo
string

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true